# SIPEventPackageHandler Class Reference

`#include <sippdu.h>`

## Public Member Functions

virtual | ~SIPEventPackageHandler ()
virtual PCaselessString | GetContentType () const =0
virtual bool | ValidateContentType (const PString &type, const SIPMIMEInfo &mime)
virtual bool | OnReceivedNOTIFY (SIPHandler &handler, SIP_PDU &request)=0
virtual PString | OnSendNOTIFY (SIPHandler &, const PObject *)

## Constructor & Destructor Documentation

virtual SIPEventPackageHandler::~SIPEventPackageHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual PCaselessString SIPEventPackageHandler::GetContentType | ( |  | ) | const`[pure virtual]`

virtual bool SIPEventPackageHandler::OnReceivedNOTIFY | ( | SIPHandler & | handler,
|  | SIP_PDU & | request |
| ) |  |  | `[pure virtual]`

virtual PString SIPEventPackageHandler::OnSendNOTIFY | ( | SIPHandler & | ,
|  | const PObject * |  |
| ) |  |  | `[inline, virtual]`

virtual bool SIPEventPackageHandler::ValidateContentType | ( | const PString & | type,
|  | const SIPMIMEInfo & | mime |
| ) |  |  | `[virtual]`

The documentation for this class was generated from the following file:

- sippdu.h